Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(77)

Issue 2676353002: MojoCompositorFrameSinkPrivate should support copy requests (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 3 weeks ago by Saman Sami
Modified:
4 months, 1 week ago
CC:
chromium-reviews, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, xjz+watch_chromium.org, jam, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, darin-cc_chromium.org, cc-bugs_chromium.org, darin (slow to review), miu+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

MojoCompositorFrameSinkPrivate should support copy requests Copy requests must be supported over mojo because some clients of SurfaceFactory use them and SurfaceFactory will move to a separate process. This CL adds methods for sending copy requests to MojoCompositorFrameSinkPrivate. BUG=672071 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2676353002 Cr-Commit-Position: refs/heads/master@{#451237} Committed: https://chromium.googlesource.com/chromium/src/+/b4abfddd91ae9f4088f1544ec7ca8e95afbe7229

Patch Set 1 #

Total comments: 7

Patch Set 2 : c #

Patch Set 3 : c #

Patch Set 4 : c #

Total comments: 14

Patch Set 5 : Get rid of ReleaseCopyOfSurface #

Patch Set 6 : Cleanup #

Patch Set 7 : Cleanup #

Total comments: 2

Patch Set 8 : Remove callback #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -2 lines) Patch
M cc/ipc/mojo_compositor_frame_sink.mojom View 1 2 3 4 5 6 7 3 chunks +6 lines, -2 lines 0 comments Download
M cc/surfaces/compositor_frame_sink_support.h View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M cc/surfaces/compositor_frame_sink_support.cc View 1 2 3 4 5 6 7 1 chunk +5 lines, -0 lines 0 comments Download
M components/display_compositor/gpu_compositor_frame_sink.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M components/display_compositor/gpu_compositor_frame_sink.cc View 1 2 3 4 5 6 7 1 chunk +5 lines, -0 lines 0 comments Download
Trybot results:  chromium_presubmit   chromium_presubmit   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_x64_rel_ng   android_n5x_swarming_rel   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_tsan_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   linux_trusty_blink_rel   chromeos_daisy_chromium_compile_only_ng   ios-device   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_clang   linux_chromium_asan_rel_ng   linux_chromium_compile_dbg_ng   cast_shell_android   chromium_presubmit   ios-simulator-xcode-clang   linux_android_rel_ng   ios-simulator   ios-device-xcode-clang   android_n5x_swarming_rel   android_compile_dbg   android_arm64_dbg_recipe   android_cronet   android_clang_dbg_recipe   chromium_presubmit   cast_shell_linux   ios-device   linux_trusty_blink_rel   win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux 
Commit queue not available (can’t edit this change).

Messages

Total messages: 77 (46 generated)
Fady Samuel
https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (left): https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom#oldcode50 cc/ipc/mojo_compositor_frame_sink.mojom:50: // TODO(fsamuel): ReadbackBitmap API would be useful here. Delete ...
4 months, 3 weeks ago (2017-02-06 17:13:49 UTC) #6
Saman Sami
danakj@: Please review all files.
4 months, 3 weeks ago (2017-02-06 17:31:01 UTC) #8
danakj
https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom#newcode57 cc/ipc/mojo_compositor_frame_sink.mojom:57: DeleteMailbox(gpu.mojom.Mailbox mailbox, gpu.mojom.SyncToken sync_token, bool is_lost); On 2017/02/06 17:13:48, ...
4 months, 3 weeks ago (2017-02-06 19:18:51 UTC) #11
Fady Samuel
https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom#newcode57 cc/ipc/mojo_compositor_frame_sink.mojom:57: DeleteMailbox(gpu.mojom.Mailbox mailbox, gpu.mojom.SyncToken sync_token, bool is_lost); On 2017/02/06 19:18:51, ...
4 months, 3 weeks ago (2017-02-06 19:45:02 UTC) #12
Saman Sami
https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom#newcode57 cc/ipc/mojo_compositor_frame_sink.mojom:57: DeleteMailbox(gpu.mojom.Mailbox mailbox, gpu.mojom.SyncToken sync_token, bool is_lost); On 2017/02/06 19:18:51, ...
4 months, 3 weeks ago (2017-02-06 20:04:01 UTC) #13
danakj
https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom#newcode57 cc/ipc/mojo_compositor_frame_sink.mojom:57: DeleteMailbox(gpu.mojom.Mailbox mailbox, gpu.mojom.SyncToken sync_token, bool is_lost); On 2017/02/06 20:04:00, ...
4 months, 3 weeks ago (2017-02-06 20:09:15 UTC) #14
danakj
https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/1/cc/ipc/mojo_compositor_frame_sink.mojom#newcode57 cc/ipc/mojo_compositor_frame_sink.mojom:57: DeleteMailbox(gpu.mojom.Mailbox mailbox, gpu.mojom.SyncToken sync_token, bool is_lost); On 2017/02/06 20:09:15, ...
4 months, 3 weeks ago (2017-02-06 20:10:27 UTC) #15
Saman Sami
4 months, 3 weeks ago (2017-02-06 20:24:02 UTC) #17
Saman Sami
tsepez@: Please review mojo
4 months, 3 weeks ago (2017-02-06 20:24:28 UTC) #18
Tom Sepez
Can someone walk me through how we ensure that we are only reading back pixels ...
4 months, 3 weeks ago (2017-02-06 21:36:51 UTC) #21
Saman Sami
On 2017/02/06 21:36:51, Tom Sepez wrote: > Can someone walk me through how we ensure ...
4 months, 3 weeks ago (2017-02-06 21:59:27 UTC) #24
Saman Sami
On 2017/02/06 21:36:51, Tom Sepez wrote: > Can someone walk me through how we ensure ...
4 months, 3 weeks ago (2017-02-06 21:59:27 UTC) #25
Tom Sepez
mojom lgtm
4 months, 3 weeks ago (2017-02-06 22:06:31 UTC) #26
Saman Sami
PTAL danakj@: Please review all files. I moved the methods to MojoCompositorFrameSinkPrivate for security concerns.
4 months, 3 weeks ago (2017-02-06 22:28:30 UTC) #29
Fady Samuel
lgtm
4 months, 3 weeks ago (2017-02-06 22:40:28 UTC) #32
danakj
https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom#newcode89 cc/ipc/mojo_compositor_frame_sink.mojom:89: // If the copy returned by RequestCopyOfSurface is a ...
4 months, 3 weeks ago (2017-02-06 23:02:13 UTC) #33
Saman Sami
https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom#newcode89 cc/ipc/mojo_compositor_frame_sink.mojom:89: // If the copy returned by RequestCopyOfSurface is a ...
4 months, 3 weeks ago (2017-02-06 23:09:54 UTC) #34
danakj
https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom#newcode89 cc/ipc/mojo_compositor_frame_sink.mojom:89: // If the copy returned by RequestCopyOfSurface is a ...
4 months, 3 weeks ago (2017-02-06 23:24:08 UTC) #35
danakj
https://codereview.chromium.org/2676353002/diff/60001/cc/surfaces/compositor_frame_sink_support.cc File cc/surfaces/compositor_frame_sink_support.cc (right): https://codereview.chromium.org/2676353002/diff/60001/cc/surfaces/compositor_frame_sink_support.cc#newcode209 cc/surfaces/compositor_frame_sink_support.cc:209: callback.Run(std::move(result)); On 2017/02/06 23:24:08, danakj (slow) wrote: > On ...
4 months, 3 weeks ago (2017-02-06 23:24:44 UTC) #36
Saman Sami
PTAL Note that https://codereview.chromium.org/2686833003/ lands first. https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom File cc/ipc/mojo_compositor_frame_sink.mojom (right): https://codereview.chromium.org/2676353002/diff/60001/cc/ipc/mojo_compositor_frame_sink.mojom#newcode89 cc/ipc/mojo_compositor_frame_sink.mojom:89: // If the ...
4 months, 2 weeks ago (2017-02-13 23:07:37 UTC) #42
danakj
https://codereview.chromium.org/2676353002/diff/60001/cc/output/copy_output_request.h File cc/output/copy_output_request.h (right): https://codereview.chromium.org/2676353002/diff/60001/cc/output/copy_output_request.h#newcode86 cc/output/copy_output_request.h:86: void set_result_callback(CopyOutputRequestCallback result_callback) { On 2017/02/13 23:07:37, Saman Sami ...
4 months, 2 weeks ago (2017-02-13 23:11:15 UTC) #44
danakj
https://codereview.chromium.org/2676353002/diff/60001/cc/output/copy_output_request.h File cc/output/copy_output_request.h (right): https://codereview.chromium.org/2676353002/diff/60001/cc/output/copy_output_request.h#newcode86 cc/output/copy_output_request.h:86: void set_result_callback(CopyOutputRequestCallback result_callback) { On 2017/02/13 23:11:15, danakj wrote: ...
4 months, 2 weeks ago (2017-02-13 23:12:19 UTC) #45
Fady Samuel
https://codereview.chromium.org/2676353002/diff/120001/cc/output/copy_output_request.h File cc/output/copy_output_request.h (right): https://codereview.chromium.org/2676353002/diff/120001/cc/output/copy_output_request.h#newcode77 cc/output/copy_output_request.h:77: void set_result_callback(CopyOutputRequestCallback result_callback) { Is this still necessary? Thanks!
4 months, 1 week ago (2017-02-15 13:32:20 UTC) #48
Saman Sami
PTAL Note that https://codereview.chromium.org/2700533002/ lands first. https://codereview.chromium.org/2676353002/diff/120001/cc/output/copy_output_request.h File cc/output/copy_output_request.h (right): https://codereview.chromium.org/2676353002/diff/120001/cc/output/copy_output_request.h#newcode77 cc/output/copy_output_request.h:77: void set_result_callback(CopyOutputRequestCallback result_callback) ...
4 months, 1 week ago (2017-02-15 22:53:56 UTC) #51
danakj
LGTM!
4 months, 1 week ago (2017-02-16 23:40:19 UTC) #58
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2676353002/140001
4 months, 1 week ago (2017-02-17 00:49:07 UTC) #61
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2676353002/140001
4 months, 1 week ago (2017-02-17 01:00:14 UTC) #64
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_compile_dbg_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
4 months, 1 week ago (2017-02-17 02:52:20 UTC) #66
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2676353002/140001
4 months, 1 week ago (2017-02-17 03:31:11 UTC) #68
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2676353002/140001
4 months, 1 week ago (2017-02-17 04:28:16 UTC) #74
commit-bot: I haz the power
4 months, 1 week ago (2017-02-17 06:10:04 UTC) #77
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/b4abfddd91ae9f4088f1544ec7ca...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589